Обновить Joomla! 1.0 до Joomla! 1.5

Полезное для Joomla

Обновить Joomla! 1.0 до Joomla! 1.5После того как летом 2009 года, поддержка линейки Joomla! 1.0.x прекратилась, а некоторые сервера перешли на версию php 5.3, которую линейка Joomla! 1.0.x не поддерживает,  стала большая необходимость обновить Joomla! 1.0 до Joomla! 1.5. Сегодня Я Вам хочу рассказать как обновить Joomla! 1.0 до Joomla! 1.5 с помощью 2 компонентов, таких как com_migrator и com_mtwmigrator.

Миграция с Joomla! 1.0 до Joomla! 1.5 с помощью com_migrator:

  1. Скачиваем последнюю версию компонента здесь
  2. Создаем резервную копию базы данный и файлов Joomla!
  3. Стандартными средствами устанавливаем компонент com_migrator
  4. Заходим в панель управления компонентом: Components (Компоненты) -> Migrator
  5. Создаем SQL-файл миграции, нажав на ссылку внизу страницы «Create Migration SQL File»
  6. В списке выбираем необходимые для миграции данные (по умолчанию выбраны все данные)
  7. Нажимаем кнопку «Start Migration >>»
  8. Если процедура создания SQL-файла миграции прошла успешно то вы увидите надпись: Migration Complete!
  9. Из папки /administrator/components/com_migrator/dumps вы можете получить SQL-файл миграции

Читать дальше Обновить Joomla! 1.0 до Joomla! 1.5